<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:java="http://xml.apache.org/xslt/java"
  xmlns:util="xalan://org.greenstone.gsdl3.util.XSLTUtil"
  extension-element-prefixes="java util"
  exclude-result-prefixes="java util">

  <xsl:include href="style.xsl"/>
  
  <xsl:output method="html"/>  

  <xsl:template name="pageHead">
    <head>
      <title><xsl:value-of select="/page/pageResponse/collection/displayItem[@name='name']"/></title>
    </head>
    <xsl:call-template name="headScript"/>
  </xsl:template>

  <xsl:template match="pageResponse">
    <xsl:variable name="collName" select="/page/pageRequest/paramList/param[@name='c']/@value"/>
    <center>
      <xsl:apply-templates select="collection"><xsl:with-param name="collName" select="$collName"/></xsl:apply-templates>
    </center>
  </xsl:template>

  <xsl:template match="collection">
    <xsl:param name="collName"/>
    <xsl:call-template name="standardPageBanner">
      <xsl:with-param name="collName" select="$collName"/>
      <xsl:with-param name="pageType">about</xsl:with-param>
    </xsl:call-template>
    <xsl:call-template name="navigationBar">
      <xsl:with-param name="collName" select="$collName"/>
    </xsl:call-template>      
    <p />
    <h3><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'about.aboutcoll')"/></h3>
    <table><tr><td><xsl:value-of select="displayItem[@name='description']" disable-output-escaping='yes'/></td></tr></table>
    <p />
    <h3><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'about.howtofind', $collName)"/></h3>
    some help stuff goes here
  </xsl:template>


</xsl:stylesheet>  

